Skip to main content
Infrastructure/OTA Versions & Policies
POSTOTASince 1.0SynchronousAuth Required

UpdateSilencePolicy

Update Silence Policy

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • policyObjectRequired

    Policy for this resource

    • autoSilenceOnUpgradeBoolean

      Whether alert silence windows are automatically created during upgrades

      Example: true

    • bufferMinutesInteger

      Extra buffer time in minutes added before and after the upgrade window

      Example: 5

    • suppressedAlertTypesList

      Suppressed alert types

      Example: item1,item2

    • notifyOncallBeforeSilenceBoolean

      Whether the on-call team is notified before a silence is activated

      Example: true

Responses

200 OK

On success, this API returns the following response structure.

  • autoSilenceOnUpgradeBoolean

    Whether alert silence windows are automatically created during upgrades

    Example: true

  • bufferMinutesInteger

    Extra buffer time in minutes added before and after the upgrade window

    Example: 5

  • suppressedAlertTypesList

    Suppressed alert types

    Example: item1,item2

  • notifyOncallBeforeSilenceBoolean

    Whether the on-call team is notified before a silence is activated

    Example: true

Endpoint

POST/api/v1/admin/ota/silence-policy

/api/v1/admin/ota/silence-policy

Operation ID

UpdateSilencePolicy

Permalink

Request Example

curl -X POST '{host}/api/v1/admin/ota/silence-policy' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"policy":{"autoSilenceOnUpgrade":true,"bufferMinutes":5,"suppressedAlertTypes":"item1,item2","notifyOncallBeforeSilence":true}}'

Response Example

200
{"autoSilenceOnUpgrade": true, "bufferMinutes": 5, "suppressedAlertTypes": ["value"], "notifyOncallBeforeSilence": true}

Change History

This API has no change history records yet.

View all change history